Debian Bug report logs - #624239
debian reference not generated in English?

Package: debian-reference; Maintainer for debian-reference is Osamu Aoki <osamu@debian.org>; Source for debian-reference is src:debian-reference.

Reported by: Ari Pollak <ari@debian.org>

Date: Tue, 26 Apr 2011 19:27:04 UTC

Severity: normal

Done: David Prévot <davidp@altern.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#624239; Package www.debian.org. (Tue, 26 Apr 2011 19:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ari Pollak <ari@debian.org>:
New Bug report received and forwarded. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 26 Apr 2011 19:27:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ari Pollak <ari@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian reference not generated in English?
Date: Tue, 26 Apr 2011 15:24:50 -0400
Package: www.debian.org
Severity: normal

My browser is set up to show me pages in English by default, but this
page is showing up in French:

http://www.debian.org/doc/manuals/reference/ch-tips.en.html

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Reply sent to David Prévot <davidp@altern.org>:
You have taken responsibility. (Tue, 26 Apr 2011 19:45:09 GMT) Full text and rfc822 format available.

Notification sent to Ari Pollak <ari@debian.org>:
Bug acknowledged by developer. (Tue, 26 Apr 2011 19:45:09 GMT) Full text and rfc822 format available.

Message #10 received at 624239-done@bugs.debian.org (full text, mbox):

From: David Prévot <davidp@altern.org>
To: Ari Pollak <ari@debian.org>, 624239-done@bugs.debian.org
Subject: Re: Bug#624239: debian reference not generated in English?
Date: Tue, 26 Apr 2011 15:44:07 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Le 26/04/2011 15:24, Ari Pollak a écrit :
> Package: www.debian.org
> Severity: normal
> 
> My browser is set up to show me pages in English by default, but this
> page is showing up in French:
> 
> http://www.debian.org/doc/manuals/reference/ch-tips.en.html

This is a just a leftover of an old installation (the Reference has been
moved from SGML to DocBook quite some time ago), the link should be
updated to <http://www.debian.org/doc/manuals/reference/ch0>. Can you
fix it or did you find it in the www.debian.org site?

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNtyCGAAoJELgqIXr9/gnynSMP/0UJZrn6ROu+iV8UotYko8mN
6W1wTnDB/Wfh3vMBM2L+Rxgd9m+9M5n9UbuStzrd43iDJJK/MyEh6T2kNpmXZYbh
IX5JEinyqOCxAfOlWV6rGMbRyph0egS9VOSs2vyHhGK9nJL7AVrK4/4B2R1US18d
r9Dpb4d4QbAhAu3GmxvnlntukghyttUiUOqB6gGd49vBjBUXrgEza/RgCW8gaUYB
vOaS0HF2PNeeP7u9kEWle1T3I2HBFhIaNhWONHrOKj6cJY0XsvmEr8WatwJB4fft
QAz7TvGYbRowOZ93But/x+xEzFvNxVFgH18FPI2P7KH5aHyqNfWRZ3B6aJxXDZv0
Cvq9HebIC+sn69VrGD0oqjfZCJV8+JqI4Rz9RrQSQYoblTsvSOuRBF/3e/Ogp1b2
hqHhUvSWXY0dceepizZ516+x2MF/3/+EVjH5tzd7YcQOOPQlPohzdqcGDy4zyWO0
m7PjGo6KQht90Wgx2SNJZczjAuwq7et9rsDtxYuOZ5HfcNOUTmUQuS5YlCRpAtZ2
NvKFNzGdNVfIqIzCxHkMSCefw+OspnkbDhJPIDT6v9ksBfWCBd2zhLk1WInV5zvE
Ni3aHfiO1PtFiSlmlaO8ptuxH6eFRgzG35GyOnmiOeE12XPtgPJpcu9FKtu2UKzb
+NOlNeHZAjYUkdQwRyP+
=UX/G
-----END PGP SIGNATURE-----




Bug reassigned from package 'www.debian.org' to 'debian-reference'. Request was from Gerfried Fuchs <rhonda@debian.org> to control@bugs.debian.org. (Tue, 26 Apr 2011 19:48:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#624239; Package debian-reference. (Thu, 28 Apr 2011 14:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. (Thu, 28 Apr 2011 14:15:11 GMT) Full text and rfc822 format available.

Message #17 received at 624239@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Debian Bug Tracking System <624239-submitter@bugs.debian.org>
Cc: Debian WWW Team <debian-www@lists.debian.org>, 624239@bugs.debian.org
Subject: reassign 624239 to debian-reference
Date: Thu, 28 Apr 2011 23:03:57 +0900
Hi,

On Tue, Apr 26, 2011 at 07:48:03PM +0000, Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:
> 
> > # new version generates different index structure, not all languages updated yet, broke external links
> > reassign 624239 debian-reference
> Bug #624239 {Done: David Prévot <davidp@altern.org>} [www.debian.org] debian reference not generated in English?
> Bug reassigned from package 'www.debian.org' to 'debian-reference'.
> > thanks
> Stopping processing here.

Just to explain situation a bit more...

Pages like
  http://www.debian.org/doc/manuals/reference/ch-tips.de.html
stil exists created from old translation of SGML.

But New English pages are from XML and they are at

  http://www.debian.org/doc/manuals/reference/ch09.en.html
  French is also in this XML group.

They have changed a lot in content.

I do not know why French showed up?  Were you looking at French page
before clicking this URL?  Recent update of Debian web site have made
them to act sometimes based on the page we look at to make choice of
language.

Osamu

> -- 
> 624239: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=624239
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems




Message sent on to Ari Pollak <ari@debian.org>:
Bug#624239. (Thu, 28 Apr 2011 14:15:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Osamu Aoki <osamu@debian.org>:
Bug#624239; Package debian-reference. (Thu, 28 Apr 2011 14:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to Osamu Aoki <osamu@debian.org>. (Thu, 28 Apr 2011 14:33:05 GMT) Full text and rfc822 format available.

Message #25 received at 624239@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
Cc: 624239@bugs.debian.org, Debian WWW Team <debian-www@lists.debian.org>, Ari Pollak <ari@debian.org>
Subject: debian-reference in different URL
Date: Thu, 28 Apr 2011 10:31:43 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi,

Le 28/04/2011 10:03, Osamu Aoki a écrit :
> On Tue, Apr 26, 2011 at 07:48:03PM +0000, Debian Bug Tracking System wrote:

> Just to explain situation a bit more...
> 
> Pages like
>   http://www.debian.org/doc/manuals/reference/ch-tips.de.html
> stil exists created from old translation of SGML.
> 
> But New English pages are from XML and they are at
> 
>   http://www.debian.org/doc/manuals/reference/ch09.en.html
>   French is also in this XML group.
> 
> They have changed a lot in content.

They did, but I tried to map the old content to the new pages [1]. We
will soon be able to redirect an old unavailable page [2] to the new one
[3] if it exists. The patch to the Apache config file is ready and being
tested (so not available yet, but thanks Ari to have woken us up about
this, we are also preparing the config to handle many others links, e.g.
maint-guide ones).

  1: http://www.debian.org/doc/map-reference.txt
  2: http://www.debian.org/doc/manuals/reference/ch-tips.en.html
  3: http://www.debian.org/doc/manuals/reference/ch09.en.html

> I do not know why French showed up? Were you looking at French page
> before clicking this URL?

It was because the English page doesn't exists for this link [4], and
French is the second default. The French page has been deleted since the
bug has been reported, and now the German page shows up (the third default).

  4: http://www.debian.org/doc/manuals/reference/ch-tips

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNuXpNAAoJELgqIXr9/gny60gQAIQ+dCZRtkAYEYFZN6nrGj5M
CWKCRcB0js7c/D8gqBLOdgE6UaGx+Fo3+t/7rS9b835EIBOTNX7bfeoZ/FpdAGMR
I+xC1Mv4v5XAdGnxLBN9+rKYxo2u9DhSUfbUL0Xfan9VhlIixYUDUYhrafXeM32G
EvhjCYpEBZ8LPAlGWEJXhIpEBzc7iChb2rrFdl1qNVvF5szdDRqPbwoLk5e7pO+2
PIgrq+IsoBfc+OckZt8n2yAF/JaB4RGiecIyfYHXbh+K0EO2x+3h6X6fT+JdtvUi
zFhf7IPMSzUy/kYRpsUJJx2g4WjC45FDqKhdAWJlijFfHk4yxepAKHuGmvALTja8
I9SP/s0OQvF5m3iMY7GLWcIdHyA897YqHnyZA/iWldHXx9N0alO8/jVD/Mi0a92x
VzBfd+LMPxC4VY9EKIcuIwhevHAdg3GIC+UXbEZjmRFXd3P4niPdQZqbN/6Su/Cg
RpAUhrlIQrNmOxAUb23gNy3B1fwEQ+zgqjnh+wfgl0Pdz/P2+sJZlyNPEa575P0w
quCZSQuokfeXyWR5LNL0va+42YEqvazowlvouAYjUIVT1xO2zzrisNLOX+5QCN9S
GuwSL0UeLk9bZ/PwmLcOB4KXemNks/T17usiyz6IZunJXQeDO3zPcVj+7znHlPtX
VfiIxNqjOTVv6uALVpfu
=GL/R
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Osamu Aoki <osamu@debian.org>:
Bug#624239; Package debian-reference. (Wed, 04 May 2011 13:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to Osamu Aoki <osamu@debian.org>. (Wed, 04 May 2011 13:57:04 GMT) Full text and rfc822 format available.

Message #30 received at 624239@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
Cc: debian-www@lists.debian.org, 624239@bugs.debian.org, Ari Pollak <ari@debian.org>
Subject: Re: debian-reference in different URL
Date: Wed, 04 May 2011 09:53:31 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

[ I may have closed this bug too quickly in the first place,
  it is now properly fixed, thus the update ]

Hi,

Le 28/04/2011 10:31, David Prévot a écrit :

> The patch to the Apache config file is ready and being
> tested (so not available yet, but thanks Ari to have woken us up about
> this, we are also preparing the config to handle many others links, e.g.
> maint-guide ones).

Applied (the maint-guide is also available form its old URL via a 301
redirect now).

The old content of the reference is mapped to the new pages [1], so we
redirect an old unavailable page [2] to the new one [3], and since the
old format reference has been deleted in the mean time, we updated the
rule to redirect the old URL [4] to the new one [5] too (with proper
content negotiation).

>   1: http://www.debian.org/doc/map-reference.txt
>   2: http://www.debian.org/doc/manuals/reference/ch-tips.en.html
>   3: http://www.debian.org/doc/manuals/reference/ch09.en.html
  4: http://www.debian.org/doc/manuals/reference/ch-tips
  5: http://www.debian.org/doc/manuals/reference/ch09

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNwVpZAAoJELgqIXr9/gny8dcQAIy2Thu5F9ylc+jG1w4kHB4u
1rlnn4i+7NcL1sxmXLdoyGREx9NkGU6cBj9ZEfl8OmLzexBk+BQuDVvd1EFg9KJY
Uihc7je36T6HCBlMMXsC7bbZcC7IigSCor4LkyLKbADecbTpIIzlbwprE9QlExxj
sJrBgZl6ImOmOKsLwGS+X0e/CnJzfzRRBeGPAonJ/BJyeSawfnZGXno07OidcAKB
l3uvTt/kbiCURsa6SzSqLVwMgEyzaEsoRyJpzuywHyzR2cxpe6lTseVY1fyBwA09
DEE4x0AwORwMeOLVn13cphv3tt9zJlaw3v0FD509zn6/DdQg74tiJYAjJkMi5D7O
QJYn6Vy4sXD55gB6n16y2O/zMJERQjbSphmB2DhEA4daRdcOvAB+mA10o9gkOg44
q+N6jmS18LN5+/qGMQZMK0u6Cew/NQHpoupP6kYgGaEOAt9Gc9TYGxG5FnbwcrhW
cgoJNCpuZveHKEat48CIhwRHiYOq/3agfXn144Fp1knkjteJvmHE+g3oBSMqk3mU
DCCqk/EMixYJhTLHacKANmY+PMGAzYUVHoqsYPCdWrR7/dZum4uYSCQTAbp2OTzF
EXVNO1YfaD0LMHXvDIjc74/LD5lSp8M51GRUSGF7YR7S5QdWqUI+r5+4fEFrIgOD
PDZnJlPhEuC59dVCMZPb
=xRu4
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Osamu Aoki <osamu@debian.org>:
Bug#624239; Package debian-reference. (Wed, 04 May 2011 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Osamu Aoki <osamu@debian.org>. (Wed, 04 May 2011 17:39:03 GMT) Full text and rfc822 format available.

Message #35 received at 624239@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 624239@bugs.debian.org
Subject: Re: debian-reference in different URL
Date: Thu, 5 May 2011 02:38:03 +0900
Le Wed, May 04, 2011 at 09:53:31AM -0400, David Prévot a écrit :
> 
> >   1: http://www.debian.org/doc/map-reference.txt

Hi all,

maybe I come too late with this comment, but I think that most DocBook to HTML
converters will honor ad-hoc “id” attributes in tags (even paragraphs),
allowing the re-creation of old anchors.

(At least xsltproc with the html/docbook.xsl stylesheet.)

Have a nice day,

-- 
Charles Plessy
Illkirch-Graffenstaden, Alsace, France




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Jun 2011 07:31:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:10:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.